#!/usr/bin/perl

#destination directory for domain listings. Make sure it has a 
#trailing '/'
$DOM_LIST_DIR = "domains/";

#comment this out to see the expect script run
$REDIRECT = "> /dev/null";

open NSLOOKUP,"nslookup -type=any $ARGV[0]|";

@servlist;
$domain;
$i = 0;
while(<NSLOOKUP>){
    if( /nameserver/){
	@nsinfo = split /\s/;
	$servlist[$i++] = $nsinfo[3];
	$domain = $nsinfo[0];
    }
}

@servers;
$j = 0;
foreach $server (@servlist){
    $i = 0;
    $newserv = 1;
    while($i < $j){
	if($server eq $servlist[$i++]){
	    $newserv = 0;
	}
    }
    if($newserv == 1){
	$servers[$j++] = $server;
    }
}


open DOMLIST,"> $DOM_LIST_DIR$domain.listing";

foreach $server (@servers){
    system("scandomain.exp $server $domain $REDIRECT");
    open TMPLIST,"$domain.out";
    while(<TMPLIST>){
	print DOMLIST;
    }
    close TMPLIST;
}
unlink "$domain.out";






